| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::AffineTransformationDiagonal Class Reference

Affine transformation with diagonal tansformation matrix. More...

Inheritance diagram for IG::Num::AffineTransformationDiagonal:
[legend]
Collaboration diagram for IG::Num::AffineTransformationDiagonal:
[legend]

List of all members.

## Public Member Functions
| AffineTransformationDiagonal (int dimension)
| Constructs diagonal affine transformation with the specified dimension of the original (reference) and transformed (target) space.
| AffineTransformationDiagonal (IVector diagonalOfTransfMat, IVector translationVec)
| Constructs affine transformation with the specified transformation matrix and translation vector.

## Detailed Description

Affine transformation with diagonal tansformation matrix.

$A Igor dec10; TODO: IMPLEMENT THIS CORRECTLY! Currently this is just general square affine transformation with adapted constructors!!! TODO: implement ICloneable!

## Constructor & Destructor Documentation

IG::Num::AffineTransformationDiagonal::AffineTransformationDiagonal | ( | int | dimension | ) | `[inline]`

Constructs diagonal affine transformation with the specified dimension of the original (reference) and transformed (target) space.

Parameters:

  dimension | Dimension of the original and transformed space.

IG::Num::AffineTransformationDiagonal::AffineTransformationDiagonal | ( | IVector | diagonalOfTransfMat,
|  | IVector | translationVec
| ) |  | `[inline]`

Constructs affine transformation with the specified transformation matrix and translation vector.

Parameters:

  transformationMatrix | Transformation matrix of the affine transformation.
  translationVec | Translation vector of the affine transformation.

The documentation for this class was generated from the following file:

- TransformationAffineDiagonal.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events